BondIteratorSelected
Date: 2019-10-22

org.jmol.modelset

## Class BondIteratorSelected

- java.lang.Object
- - org.jmol.modelset.BondIteratorSelected

- All Implemented Interfaces:
    BondIterator

      class BondIteratorSelected
      extends java.lang.Object
      implements BondIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bondCount`
    `private Bond[]` | `bonds`
    `private boolean` | `bondSelectionModeOr`
    `private int` | `bondType`
    `private javajs.util.BS` | `bsSelected`
    `private int` | `iBond`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BondIteratorSelected(Bond[] bonds, int bondCount, int bondType, javajs.util.BS bsSelected, boolean bondSelectionModeOr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `Bond` | `next()`
    `int` | `nextIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bonds

          private Bond[] bonds

    - #### bondCount

          private int bondCount

    - #### bondType

          private int bondType

    - #### iBond

          private int iBond

    - #### bsSelected

          private javajs.util.BS bsSelected

    - #### bondSelectionModeOr

          private boolean bondSelectionModeOr

  - ### Constructor Detail

    - #### BondIteratorSelected

          BondIteratorSelected(Bond[] bonds,
                               int bondCount,
                               int bondType,
                               javajs.util.BS bsSelected,
                               boolean bondSelectionModeOr)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `BondIterator`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `BondIterator`

    - #### next

          public Bond next()

      Specified by:
        `next` in interface `BondIterator`